Package ghidra.sleigh.grammar

# Class BooleanExpressionParser

java.lang.Object
org.antlr.runtime.BaseRecognizer
org.antlr.runtime.Parser
ghidra.sleigh.grammar.BooleanExpressionParser

public class BooleanExpressionParser extends org.antlr.runtime.Parser

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ALPHA`
  `static final int`
  `DIGIT`
  `ExpressionEnvironment`
  `env`
  `static final int`
  `EOF`
  `static final int`
  `ESCAPE`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_20_in_expr_not261`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_20_in_expr_paren284`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_21_in_expr_not267`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_21_in_expr_paren290`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_EOF_in_expression87`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_and_in_expr_xor155`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_and_in_expr_xor164`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_eq_in_expr_not242`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_in_expr_paren288`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_in_expression85`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_not_in_expr_and185`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_not_in_expr_and194`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_or_in_expr106`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_paren_in_expr_not217`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_paren_in_expr_not226`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_term_in_expr_eq309`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_term_in_expr_eq315`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_term_in_expr_eq325`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_term_in_expr_eq331`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_xor_in_expr_or125`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_expr_xor_in_expr_or134`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_IDENTIFIER_in_expr_not265`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_IDENTIFIER_in_expr_term350`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_KEY_DEFINED_in_expr_not259`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_OP_AND_in_expr_and190`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_OP_EQ_in_expr_eq311`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_OP_NEQ_in_expr_eq327`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_OP_NOT_in_expr_not213`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_OP_OR_in_expr_or130`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_OP_XOR_in_expr_xor160`
  `static final org.antlr.runtime.BitSet`
  `FOLLOW_QSTRING_in_expr_term359`
  `static final int`
  `HEXDIGIT`
  `static final int`
  `IDENTIFIER`
  `static final int`
  `KEY_DEFINED`
  `static final int`
  `OCTAL_ESCAPE`
  `static final int`
  `OP_AND`
  `static final int`
  `OP_EQ`
  `static final int`
  `OP_NEQ`
  `static final int`
  `OP_NOT`
  `static final int`
  `OP_OR`
  `static final int`
  `OP_XOR`
  `static final int`
  `QSTRING`
  `static final int`
  `T__20`
  `static final int`
  `T__21`
  `static final String[]`
  `tokenNames`
  `static final int`
  `UNICODE_ESCAPE`
  `static final int`
  `WS`

  ### Fields inherited from class org.antlr.runtime.Parser

  `input`

  ### Fields inherited from class org.antlr.runtime.BaseRecognizer

  `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BooleanExpressionParser(org.antlr.runtime.TokenStream input)`
  `BooleanExpressionParser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `expr()`
  `final boolean`
  `expr_and()`
  `final boolean`
  `expr_eq()`
  `final boolean`
  `expr_not()`
  `final boolean`
  `expr_or()`
  `final boolean`
  `expr_paren()`
  `final String`
  `expr_term()`
  `final boolean`
  `expr_xor()`
  `final boolean`
  `expression()`
  `org.antlr.runtime.Parser[]`
  `getDelegates()`
  `String`
  `getGrammarFileName()`
  `String[]`
  `getTokenNames()`
  `static void`
  `main(String[] args)`

  ### Methods inherited from class org.antlr.runtime.Parser

  `getCurrentInputSymbol, getMissingSymbol, getSourceName, getTokenStream, reset, setTokenStream, traceIn, traceOut`

  ### Methods inherited from class org.antlr.runtime.BaseRecognizer

  `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, emitErrorMessage, endResync, failed, getBacktrackingLevel, getErrorHeader, getErrorMessage, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, reportError, setBacktrackingLevel, toStrings, traceIn, traceOut`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### tokenNames

    public static final String[] tokenNames

  - ### EOF

    public static final int EOF
    See Also:
      - Constant Field Values

  - ### T__20

    public static final int T__20
    See Also:
      - Constant Field Values

  - ### T__21

    public static final int T__21
    See Also:
      - Constant Field Values

  - ### ALPHA

    public static final int ALPHA
    See Also:
      - Constant Field Values

  - ### DIGIT

    public static final int DIGIT
    See Also:
      - Constant Field Values

  - ### ESCAPE

    public static final int ESCAPE
    See Also:
      - Constant Field Values

  - ### HEXDIGIT

    public static final int HEXDIGIT
    See Also:
      - Constant Field Values

  - ### IDENTIFIER

    public static final int IDENTIFIER
    See Also:
      - Constant Field Values

  - ### KEY_DEFINED

    public static final int KEY_DEFINED
    See Also:
      - Constant Field Values

  - ### OCTAL_ESCAPE

    public static final int OCTAL_ESCAPE
    See Also:
      - Constant Field Values

  - ### OP_AND

    public static final int OP_AND
    See Also:
      - Constant Field Values

  - ### OP_EQ

    public static final int OP_EQ
    See Also:
      - Constant Field Values

  - ### OP_NEQ

    public static final int OP_NEQ
    See Also:
      - Constant Field Values

  - ### OP_NOT

    public static final int OP_NOT
    See Also:
      - Constant Field Values

  - ### OP_OR

    public static final int OP_OR
    See Also:
      - Constant Field Values

  - ### OP_XOR

    public static final int OP_XOR
    See Also:
      - Constant Field Values

  - ### QSTRING

    public static final int QSTRING
    See Also:
      - Constant Field Values

  - ### UNICODE_ESCAPE

    public static final int UNICODE_ESCAPE
    See Also:
      - Constant Field Values

  - ### WS

    public static final int WS
    See Also:
      - Constant Field Values

  - ### env

    public ExpressionEnvironment env

  - ### FOLLOW_expr_in_expression85

    public static final org.antlr.runtime.BitSet FOLLOW_expr_in_expression85

  - ### FOLLOW_EOF_in_expression87

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_expression87

  - ### FOLLOW_expr_or_in_expr106

    public static final org.antlr.runtime.BitSet FOLLOW_expr_or_in_expr106

  - ### FOLLOW_expr_xor_in_expr_or125

    public static final org.antlr.runtime.BitSet FOLLOW_expr_xor_in_expr_or125

  - ### FOLLOW_OP_OR_in_expr_or130

    public static final org.antlr.runtime.BitSet FOLLOW_OP_OR_in_expr_or130

  - ### FOLLOW_expr_xor_in_expr_or134

    public static final org.antlr.runtime.BitSet FOLLOW_expr_xor_in_expr_or134

  - ### FOLLOW_expr_and_in_expr_xor155

    public static final org.antlr.runtime.BitSet FOLLOW_expr_and_in_expr_xor155

  - ### FOLLOW_OP_XOR_in_expr_xor160

    public static final org.antlr.runtime.BitSet FOLLOW_OP_XOR_in_expr_xor160

  - ### FOLLOW_expr_and_in_expr_xor164

    public static final org.antlr.runtime.BitSet FOLLOW_expr_and_in_expr_xor164

  - ### FOLLOW_expr_not_in_expr_and185

    public static final org.antlr.runtime.BitSet FOLLOW_expr_not_in_expr_and185

  - ### FOLLOW_OP_AND_in_expr_and190

    public static final org.antlr.runtime.BitSet FOLLOW_OP_AND_in_expr_and190

  - ### FOLLOW_expr_not_in_expr_and194

    public static final org.antlr.runtime.BitSet FOLLOW_expr_not_in_expr_and194

  - ### FOLLOW_OP_NOT_in_expr_not213

    public static final org.antlr.runtime.BitSet FOLLOW_OP_NOT_in_expr_not213

  - ### FOLLOW_expr_paren_in_expr_not217

    public static final org.antlr.runtime.BitSet FOLLOW_expr_paren_in_expr_not217

  - ### FOLLOW_expr_paren_in_expr_not226

    public static final org.antlr.runtime.BitSet FOLLOW_expr_paren_in_expr_not226

  - ### FOLLOW_expr_eq_in_expr_not242

    public static final org.antlr.runtime.BitSet FOLLOW_expr_eq_in_expr_not242

  - ### FOLLOW_KEY_DEFINED_in_expr_not259

    public static final org.antlr.runtime.BitSet FOLLOW_KEY_DEFINED_in_expr_not259

  - ### FOLLOW_20_in_expr_not261

    public static final org.antlr.runtime.BitSet FOLLOW_20_in_expr_not261

  - ### FOLLOW_IDENTIFIER_in_expr_not265

    public static final org.antlr.runtime.BitSet FOLLOW_IDENTIFIER_in_expr_not265

  - ### FOLLOW_21_in_expr_not267

    public static final org.antlr.runtime.BitSet FOLLOW_21_in_expr_not267

  - ### FOLLOW_20_in_expr_paren284

    public static final org.antlr.runtime.BitSet FOLLOW_20_in_expr_paren284

  - ### FOLLOW_expr_in_expr_paren288

    public static final org.antlr.runtime.BitSet FOLLOW_expr_in_expr_paren288

  - ### FOLLOW_21_in_expr_paren290

    public static final org.antlr.runtime.BitSet FOLLOW_21_in_expr_paren290

  - ### FOLLOW_expr_term_in_expr_eq309

    public static final org.antlr.runtime.BitSet FOLLOW_expr_term_in_expr_eq309

  - ### FOLLOW_OP_EQ_in_expr_eq311

    public static final org.antlr.runtime.BitSet FOLLOW_OP_EQ_in_expr_eq311

  - ### FOLLOW_expr_term_in_expr_eq315

    public static final org.antlr.runtime.BitSet FOLLOW_expr_term_in_expr_eq315

  - ### FOLLOW_expr_term_in_expr_eq325

    public static final org.antlr.runtime.BitSet FOLLOW_expr_term_in_expr_eq325

  - ### FOLLOW_OP_NEQ_in_expr_eq327

    public static final org.antlr.runtime.BitSet FOLLOW_OP_NEQ_in_expr_eq327

  - ### FOLLOW_expr_term_in_expr_eq331

    public static final org.antlr.runtime.BitSet FOLLOW_expr_term_in_expr_eq331

  - ### FOLLOW_IDENTIFIER_in_expr_term350

    public static final org.antlr.runtime.BitSet FOLLOW_IDENTIFIER_in_expr_term350

  - ### FOLLOW_QSTRING_in_expr_term359

    public static final org.antlr.runtime.BitSet FOLLOW_QSTRING_in_expr_term359

- ## Constructor Details

  - ### BooleanExpressionParser

    public BooleanExpressionParser(org.antlr.runtime.TokenStream input)

  - ### BooleanExpressionParser

    public BooleanExpressionParser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)

- ## Method Details

  - ### getDelegates

    public org.antlr.runtime.Parser[] getDelegates()

  - ### getTokenNames

    public String[] getTokenNames()
    Overrides:
      `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

  - ### getGrammarFileName

    public String getGrammarFileName()
    Overrides:
      `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

  - ### main

    public static void main(String[] args)

  - ### expression

    public final boolean expression() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### expr

    public final boolean expr() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### expr_or

    public final boolean expr_or() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### expr_xor

    public final boolean expr_xor() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### expr_and

    public final boolean expr_and() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### expr_not

    public final boolean expr_not() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### expr_paren

    public final boolean expr_paren() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### expr_eq

    public final boolean expr_eq() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### expr_term

    public final String expr_term() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`